Package org.jcsp.lang

# Interface SharedConnectionServer

All Superinterfaces:
  `ConnectionServer`

All Known Subinterfaces:
  `NetSharedConnectionServer`

All Known Implementing Classes:
  `SharedConnectionServerImpl`

public interface SharedConnectionServer extends ConnectionServer

Defines an interface for a server end of a connection that can be shared by multiple concurrent processes.

`SharedConnectionServer` objects cannot have their requests ALTed over.

Author:
  Quickstone Technologies Limited

## Field Summary

### Fields inherited from interface org.jcsp.lang.ConnectionServer

`FACTORY`

## Method Summary

Modifier and Type
Method
Description
`SharedConnectionServer`
`duplicate()`
Creates a duplicate copy of the connection end.

### Methods inherited from interface org.jcsp.lang.ConnectionServer

`reply, reply, replyAndClose, request`

## Method Details

### duplicate

SharedConnectionServer duplicate()

Creates a duplicate copy of the connection end.

Returns:
  the duplicate `SharedConnectionServer` object.